Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "d22bf060-513a-46aa-94e4-c0b855be6082",
  "jobs_id": "11ac7a1c-30ed-4548-a7d8-4ecf9ccdd298",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "009b41ef-5f21-45c2-bcef-0773539a56d1",
    "_parent_id": "25127ad8-5833-4d0a-b0ac-f57b3295e3bb",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "2832b600-de50-48a1-81a7-4141d959ede7",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "131913be-1cb9-4a60-ae42-dd3e9d6aba26",
      "_parent_id": "af37dc78-a2b3-4201-9be0-0c7d1b9529f3",
      "root_parent_id": "64308f4f-ebd3-49ed-a0c1-09be94ec1e9e",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "61b7cd39-bb88-42cc-addc-58dbf5230ddf",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "240fc4f3-16a6-45ad-b793-71a810e6d18c",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "a3bdc5e4-4555-40cb-84e2-72778ea56997",
        "_parent_code": "sample string 6",
        "sales_organization_id": "1a2af4b3-5e35-40e3-885a-b637d47f7f5a",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
          "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
          "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
        },
        "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
      },
      "equipment_model_id": "1fab0a99-b85e-48cb-b0d0-eee703bc8474",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "80b40c70-271a-4524-8c28-0e1d28a2a642",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "10e52f89-a441-4f9d-8c10-ef582a61c974",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "511c9510-efef-41fa-9208-161d43439592",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "3f11a392-7d52-43bb-b104-613501a56bc2",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
            "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
            "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
          },
          "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
        },
        "equipment_family_id": "1a8052fb-df31-428b-8be9-5364b1938a51",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "240fc4f3-16a6-45ad-b793-71a810e6d18c",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "a3bdc5e4-4555-40cb-84e2-72778ea56997",
          "_parent_code": "sample string 6",
          "sales_organization_id": "1a2af4b3-5e35-40e3-885a-b637d47f7f5a",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
            "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
            "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
          },
          "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
        },
        "date_in_production_since": "2026-11-15T15:12:38.9039573+00:00",
        "date_out_of_production_since": "2026-11-15T15:12:38.9039573+00:00",
        "date_end_support": "2026-11-15T15:12:38.9039573+00:00",
        "sales_organization_id": "e019f053-fbbf-4be6-8964-6bcda87bf376",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
          "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
          "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
      },
      "project_status_id": "2c3baa1e-8e43-4dc0-af15-f3f8aef2d4ff",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "1c639d5d-dd92-4aeb-9e62-ee7f7406d8e5",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "561dc83a-81a2-4a91-9742-a7edab31117d",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
          "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
          "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
      },
      "company_id": "9cbd3efa-ef3a-442a-9890-578223ba0fa1",
      "company_code": "sample string 12",
      "db_address_id": "a764763c-13cb-4a98-af42-971dc06e3e76",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "14f4aafc-c86b-4c93-91b5-14c356403492",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "7b7bf92a-13f5-403b-a205-89aaaf54ddbb",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-15T15:12:38.9039573+00:00",
      "date_create": "2026-11-15T15:12:38.9039573+00:00",
      "date_update": "2026-11-15T15:12:38.9039573+00:00",
      "updated_by_user_id": "02275824-007f-4f50-a2b4-cdd9a6af1bb1",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-15T15:12:38.9039573+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-15T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-15T15:12:38.9224803+00:00",
      "date_last_job": "2026-11-15T15:12:38.9224803+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-15T15:12:38.9224803+00:00",
      "modified_dateutc": "2026-11-15T15:12:38.9224803+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "c7c6a9fb-9080-4e7f-acb6-19e32e6e7a6f",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "447ee616-bdc5-489c-a665-4ff94458de4a",
      "name": "sample string 2",
      "sales_organization_id": "2889039c-3cb0-41e6-be1c-92797aa9ae73",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-15T15:12:38.9224803+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "3f0a031c-56f1-4f34-93a5-a9ffe8048e19",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "77dde47a-8f69-4512-b2e0-a3016c6a43c1",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "7593b345-6c1e-4774-ad28-3b018a0c0ca8",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
        "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
        "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-15T15:12:38.9224803+00:00"
    },
    "job_status_id": "e7ebc45d-aa64-46bc-8905-5527a684cb2e",
    "job_status_code": "sample string 11",
    "db_address_id": "2bc118a3-c763-4012-80fa-b67d9e4a0fd1",
    "contact_id": "0afffae1-749c-4989-becd-1b5c8cc04b15",
    "requested_by_company_id": "d7a2ef89-3615-4831-87d1-14559d2246a5",
    "requested_by_contact_id": "b4d306be-d34a-44d9-b339-1d9866df01b1",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-15T15:12:38.9224803+00:00",
    "due_date": "2026-11-15T15:12:38.9224803+00:00",
    "date_create": "2026-11-15T15:12:38.9224803+00:00",
    "date_update": "2026-11-15T15:12:38.9224803+00:00",
    "date_closed": "2026-11-15T15:12:38.9224803+00:00",
    "suggested_user_id": "4d905890-f989-4b08-9653-9ff0fbab2a2a",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "995f22eb-8719-4852-be12-9046c18b9df2",
      "db_language_id": "b513a34c-d0f0-491d-8cd2-c34509f9a1c6",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-15T15:12:38.9224803+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "542e337c-bfee-4251-994d-445d282b3093",
      "sales_organization": {
        "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
        "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
        "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "f4234377-0ee9-47d1-b305-186ab8517afc",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "d31c5573-c821-4193-86d5-dd287e6b7816",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-15T15:12:38.9224803+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "e18543b3-8c30-4ea8-8072-13d5f2dbd0ff"
    },
    "suggested_date_start": "2026-11-15T15:12:38.9224803+00:00",
    "skill_id": "c7d21c7b-add0-4f45-9a49-4a2977dfbd96",
    "skill_code": "sample string 32",
    "skill": {
      "id": "8ff762aa-f030-4399-8b1d-3fe3e1edeafb",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "036b38ac-a034-4e63-93fa-3e77a994030d",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "abb3eefd-9223-414b-921f-15064c3f75a5",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "83ac3eef-166f-40e7-9177-ca372b578bf8",
        "db_currency_id": "10878be0-13da-47b0-b046-e268bc692db6",
        "db_language_id": "dba9d322-52d9-4350-843f-76553c92f772",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-15T15:12:38.9039573+00:00"
      },
      "modified_dateutc": "2026-11-15T15:12:38.9224803+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "d115005f-ade2-4f67-b0d1-eae8fc442890",
    "date_reported_by_company": "2026-11-15T15:12:38.9224803+00:00",
    "id2": 36,
    "company_id": "d4c3b28f-64db-43cb-9be9-a67a1c95c24d",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "e38b31be-b545-4fd2-a673-1a0398aa14ed",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-15T15:12:38.9224803+00:00"
  },
  "work_instruction_details_id": "fea216b9-38d4-4f18-b9de-5737a27e3c5d",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "0003cbc2-bf02-4c23-bc7f-198d84ee090e",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "005f1c29-aff4-42cc-a4c1-4cf11cb7e771",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-15T15:12:38.9224803+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "12f669c2-4f30-4816-b212-d1bb1d027718",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-15T15:12:38.9224803+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.